## grub2-signed 1.1

=== Makefile ===
all: grubx64.efi.signed

grubx64.efi.signed:
	./download-grub2

install: grubx64.efi.signed
	install -d $(DESTDIR)/usr/lib/grub/x86_64-efi-signed
	install -m0644 grubx64.efi.signed version \
		$(DESTDIR)/usr/lib/grub/x86_64-efi-signed/

clean:
	rm -f grubx64.efi.signed version

## grub2-signed 1.0

=== debian/changelog ===
grub2-signed (1.0) quantal; urgency=low

  * Initial release.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Sep 2012 17:23:18 +0100

=== debian/control ===
Source: grub2-signed
Section: utils
Priority: optional
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt
Standards-Version: 3.9.3

Package: grub-efi-amd64-signed
Architecture: linux-amd64
Depends: ${misc:Depends}
Description: GRand Unified Bootloader, version 2 (EFI-AMD64 version, signed)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
 .
 This package contains a version of GRUB built for use with the EFI-AMD64
 architecture, signed with Canonical's UEFI signing key.

=== debian/rules ===
#! /usr/bin/make -f

VERSION := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)

%:
	dh $@

docdir := debian/grub-efi-amd64-signed/usr/share/doc/grub-efi-amd64-signed

override_dh_installchangelogs:
	dh_installchangelogs
	# Quieten lintian, which otherwise gets confused by our odd version
	# number.
	ln $(docdir)/changelog $(docdir)/changelog.Debian

override_dh_gencontrol:
	dh_gencontrol -- -v$(VERSION)+$(shell cat version)

## grub2-signed 1.1

=== debian/changelog ===
grub2-signed (1.1) quantal; urgency=low

  * Add a Built-Using field, per policy 3.9.4.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Sep 2012 23:57:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
 Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: grub-efi-amd64-signed
 Architecture: linux-amd64
 Depends: ${misc:Depends}
+Built-Using: grub2 (= ${grub2:Version})
 Description: GRand Unified Bootloader, version 2 (EFI-AMD64 version, signed)
  GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
  cleaner design than its predecessors, and provides the following new features:

## grub2-signed 1.9~ubuntu12.04.3

=== debian/changelog ===
grub2-signed (1.9~ubuntu12.04.3) precise; urgency=low

  * Build against grub-efi-amd64 1.99-21ubuntu3.9.
  * Recommend secureboot-db (LP: #1087843).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Feb 2013 17:21:45 +0000

grub2-signed (1.9~ubuntu12.04.2) precise-proposed; urgency=low

  * Build against grub-efi-amd64 1.99-21ubuntu3.7.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Dec 2012 11:31:50 +0000

grub2-signed (1.9~ubuntu12.04.1) precise-proposed; urgency=low

  * Build against grub-efi-amd64 1.99-21ubuntu3.5 (LP: #1075181).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Nov 2012 10:14:32 +0000

grub2-signed (1.9) quantal-proposed; urgency=low

  * Download the signed image from the correct pocket.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Oct 2012 06:48:05 +0100

grub2-signed (1.8) quantal; urgency=low

  * Rebuild against grub-efi-amd64 2.00-7ubuntu11.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 14 Oct 2012 18:18:34 +0100

grub2-signed (1.7) quantal; urgency=low

  * Rebuild against grub-efi-amd64 2.00-7ubuntu10.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Oct 2012 17:17:54 +0100

grub2-signed (1.6) quantal; urgency=low

  * Rebuild against grub-efi-amd64 2.00-7ubuntu9.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Oct 2012 01:18:03 +0100

grub2-signed (1.5) quantal; urgency=low

  * Drop Depends back to grub-efi-amd64 (>= 2.00-7ubuntu4), which is good
    enough (grub-install extensions).
  * Build-depend on a current grub-efi-amd64-bin so that this upload can
    safely be accepted before grub2/amd64 binaries have published.
  * Rebuild against grub-efi-amd64 2.00-7ubuntu8.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Oct 2012 15:39:00 +0100

grub2-signed (1.4) quantal; urgency=low

  * Rebuild against grub-efi-amd64 2.00-7ubuntu7.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Oct 2012 15:10:36 +0100

grub2-signed (1.3) quantal; urgency=low

  * Rebuild against grub-efi-amd64 2.00-7ubuntu5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2012 18:36:18 +0100

grub2-signed (1.2) quantal; urgency=low

  [ Colin Watson ]
  * Include gcdx64.efi.signed.
  * Depend on grub-efi-amd64 so that /etc/default/grub and
    /boot/grub/grub.cfg are updated.
  * Run grub-install on configure if appropriate.

  [ Steve Langasek ]
  * Adjust makefile so gcdx64.efi.signed actually gets included in the
    package, not just downloaded.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Oct 2012 17:05:45 -0700

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 1.99-21ubuntu3.9)
 Standards-Version: 3.9.4
 
 Package: grub-efi-amd64-signed
 Architecture: linux-amd64
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, grub-efi-amd64 (>= 1.99-21ubuntu3.5)
+Recommends: secureboot-db
 Built-Using: grub2 (= ${grub2:Version})
 Description: GRand Unified Bootloader, version 2 (EFI-AMD64 version, signed)
  GRUB is a portable, powerful bootloader.  This version of GRUB is based on a

## grub2-signed 1.9~ubuntu12.04.10

=== Makefile ===
all: grubx64.efi.signed gcdx64.efi.signed

grubx64.efi.signed gcdx64.efi.signed:
	./download-grub2

install: grubx64.efi.signed gcdx64.efi.signed
	install -d $(DESTDIR)/usr/lib/grub/x86_64-efi-signed
	install -m0644 grubx64.efi.signed gcdx64.efi.signed version \
		$(DESTDIR)/usr/lib/grub/x86_64-efi-signed/

clean:
	rm -f gcdx64.efi.signed grubx64.efi.signed version

=== debian/changelog ===
grub2-signed (1.9~ubuntu12.04.10) precise-security; urgency=medium

  * Rebuild against grub2 1.99-21ubuntu3.19 security update.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Dec 2015 15:16:17 -0500

grub2-signed (1.9~ubuntu12.04.9) precise; urgency=medium

  * Rebuild against grub-efi-amd64 1.99-21ubuntu3.18 (LP: #1443735).

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 03 Jul 2015 10:19:22 +0000

grub2-signed (1.9~ubuntu12.04.8) precise; urgency=medium

  * Build against grub-efi-amd64 1.99-21ubuntu3.17.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Sep 2014 16:36:39 +0100

grub2-signed (1.9~ubuntu12.04.7) precise; urgency=medium

  * Build against grub-efi-amd64 1.99-21ubuntu3.16.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jul 2014 14:57:07 +0100

grub2-signed (1.9~ubuntu12.04.6) precise; urgency=low

  * Build against grub-efi-amd64 1.99-21ubuntu3.14 (LP: #1065281).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 06 Dec 2013 09:54:51 +0000

grub2-signed (1.9~ubuntu12.04.5) precise; urgency=low

  * Build against grub-efi-amd64 1.99-21ubuntu3.11 (LP: #1065281).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Sep 2013 15:54:30 +0100

grub2-signed (1.9~ubuntu12.04.4) precise-proposed; urgency=low

  * Rebuild against grub-efi-amd64 1.99-21ubuntu3.10. (LP: #1184297)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 19 Jul 2013 20:03:16 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 1.99-21ubuntu3.9)
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 1.99-21ubuntu3.19)
 Standards-Version: 3.9.4
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.9

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 1.99-21ubuntu3.19)
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.00-7ubuntu11)
 Standards-Version: 3.9.4
 
 Package: grub-efi-amd64-signed
 Architecture: linux-amd64
-Depends: ${misc:Depends}, grub-efi-amd64 (>= 1.99-21ubuntu3.5)
-Recommends: secureboot-db
+Depends: ${misc:Depends}, grub-efi-amd64 (>= 2.00-7ubuntu4)
 Built-Using: grub2 (= ${grub2:Version})
 Description: GRand Unified Bootloader, version 2 (EFI-AMD64 version, signed)
  GRUB is a portable, powerful bootloader.  This version of GRUB is based on a

## grub2-signed 1.9.1

=== debian/changelog ===
grub2-signed (1.9.1) quantal; urgency=low

  * Recommend secureboot-db (LP: #1087843).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Feb 2013 20:42:12 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Package: grub-efi-amd64-signed
 Architecture: linux-amd64
 Depends: ${misc:Depends}, grub-efi-amd64 (>= 2.00-7ubuntu4)
+Recommends: secureboot-db
 Built-Using: grub2 (= ${grub2:Version})
 Description: GRand Unified Bootloader, version 2 (EFI-AMD64 version, signed)
  GRUB is a portable, powerful bootloader.  This version of GRUB is based on a

## grub2-signed 1.11

=== debian/changelog ===
grub2-signed (1.11) raring; urgency=low

  * Rebuild against grub-efi-amd64 2.00-12ubuntu1.
  * Recommend secureboot-db (LP: #1087843).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Feb 2013 17:24:58 +0000

grub2-signed (1.10) raring; urgency=low

  * Rebuild against grub-efi-amd64 2.00-7ubuntu13.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Oct 2012 17:00:23 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.00-7ubuntu11)
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.00-12ubuntu1)
 Standards-Version: 3.9.4
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.22

=== debian/changelog ===
grub2-signed (1.22) saucy; urgency=low

  * Rebuild against grub-efi-amd64 2.00-19ubuntu2.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 10 Oct 2013 23:42:03 -0600

grub2-signed (1.21) saucy; urgency=low

  * Rebuild against grub-efi-amd64 2.00-19ubuntu2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Oct 2013 10:33:30 -0700

grub2-signed (1.20) saucy; urgency=low

  * Rebuild against grub-efi-amd64 2.00-19ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Sep 2013 11:01:28 +0100

grub2-signed (1.19) saucy; urgency=low

  * Rebuild against grub-efi-amd64 2.00-18ubuntu4.
  * Add grubnetx64.efi.signed.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Sep 2013 17:14:41 +0100

grub2-signed (1.18) saucy; urgency=low

  * Rebuild against grub-efi-amd64 2.00-18ubuntu3.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 11 Sep 2013 15:13:55 -0400

grub2-signed (1.17) saucy; urgency=low

  * Rebuild against grub-efi-amd64 2.00-18ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Aug 2013 12:39:54 +0200

grub2-signed (1.16) saucy; urgency=low

  * Rebuild against grub-efi-amd64 2.00-17ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Aug 2013 09:55:29 +0200

grub2-signed (1.15) saucy; urgency=low

  * Rebuild against grub-efi-amd64 2.00-15ubuntu2. (LP: #1184297)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 18 Jul 2013 16:18:49 -0400

grub2-signed (1.14) saucy; urgency=low

  * Give grub-efi-amd64-signed a strict versioned dependency on the
    grub-efi-amd64 we're built against to force a paired migration.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 15 Jul 2013 15:23:59 +0100

grub2-signed (1.13) saucy; urgency=low

  * Rebuild against grub-efi-amd64 2.00-15ubuntu1.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 15 Jul 2013 15:19:15 +0100

grub2-signed (1.12) saucy; urgency=low

  * Rebuild against grub-efi-amd64 2.00-14ubuntu1.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 09 May 2013 19:21:14 -0600

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.00-12ubuntu1)
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.00-19ubuntu2)
 Standards-Version: 3.9.4
 
 Package: grub-efi-amd64-signed
 Architecture: linux-amd64
-Depends: ${misc:Depends}, grub-efi-amd64 (>= 2.00-7ubuntu4)
+Depends: ${misc:Depends}, grub-efi-amd64 (= ${grub2:Version})
 Recommends: secureboot-db
 Built-Using: grub2 (= ${grub2:Version})
 Description: GRand Unified Bootloader, version 2 (EFI-AMD64 version, signed)

## grub2-signed 1.22.1

=== debian/changelog ===
grub2-signed (1.22.1) saucy; urgency=low

  * Rebuild against grub-efi-amd64 2.00-19ubuntu2.1 LP: #1242417

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 24 Oct 2013 10:00:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.00-19ubuntu2)
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.00-19ubuntu2.1)
 Standards-Version: 3.9.4
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.34

=== debian/changelog ===
grub2-signed (1.34) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-9.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Apr 2014 13:34:00 +0100

grub2-signed (1.33) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-8.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Apr 2014 14:51:06 +0100

grub2-signed (1.32) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-7.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Mar 2014 12:57:06 +0000

grub2-signed (1.31) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-6.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Jan 2014 12:23:55 +0000

grub2-signed (1.30) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-5.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Jan 2014 22:33:57 +0000

grub2-signed (1.29) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-4.
  * Policy version 3.9.5: no changes required.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Jan 2014 13:30:45 +0000

grub2-signed (1.28) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-2.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Jan 2014 10:58:39 +0000

grub2-signed (1.27) trusty; urgency=low

  * Rebuild against grub-efi-amd64 2.00-22.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Dec 2013 18:05:34 +0000

grub2-signed (1.26) trusty; urgency=low

  * Rebuild against grub-efi-amd64 2.00-21.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 Dec 2013 10:22:02 +0000

grub2-signed (1.25) trusty; urgency=low

  * Rebuild against grub-efi-amd64 2.00-20.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Nov 2013 10:51:43 +0000

grub2-signed (1.24) trusty; urgency=low

  * Rebuild against grub-efi-amd64 2.00-19ubuntu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Nov 2013 01:27:49 +0000

grub2-signed (1.23) trusty; urgency=low

  * Rebuild against grub-efi-amd64 2.00-19ubuntu3 LP: #1242417

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 24 Oct 2013 09:56:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.00-19ubuntu2.1)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-9)
+Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed
 Architecture: linux-amd64

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,5 @@
 	ln $(docdir)/changelog $(docdir)/changelog.Debian
 
 override_dh_gencontrol:
-	dh_gencontrol -- -v$(VERSION)+$(shell cat version)
+	dh_gencontrol -- -v$(VERSION)+$(shell cat version) \
+		-Vgrub2:Version=$(shell cat version)

## grub2-signed 1.34.1

=== debian/changelog ===
grub2-signed (1.34.1) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-9ubuntu1 (LP: #1314134)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 19 May 2014 02:47:42 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-9)
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-9ubuntu1)
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.34.7

=== Makefile ===
SIGNED := \
	grubx64.efi.signed \
	gcdx64.efi.signed \
	grubnetx64.efi.signed

all: $(SIGNED)

$(SIGNED):
	./download-grub2

install: $(SIGNED)
	install -d $(DESTDIR)/usr/lib/grub/x86_64-efi-signed
	install -m0644 $(SIGNED) version \
		$(DESTDIR)/usr/lib/grub/x86_64-efi-signed/

clean:
	rm -f $(SIGNED) version

=== debian/changelog ===
grub2-signed (1.34.7) trusty-security; urgency=medium

  * Rebuild against grub2 2.02~beta2-9ubuntu1.6 security update.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Dec 2015 15:14:29 -0500

grub2-signed (1.34.6) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-9ubuntu1.5
    (LP: #1476882, LP: #1459872, LP: #1459871, LP: #1517586, LP: #1508893)

 -- dann frazier <dannf@ubuntu.com>  Wed, 25 Nov 2015 13:18:17 -0700

grub2-signed (1.34.5) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-9ubuntu1.4 (LP: #1311247)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 05 Oct 2015 04:23:21 -0600

grub2-signed (1.34.4) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-9ubuntu1.3 (LP: #1443735).

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 03 Jul 2015 10:19:28 +0000

grub2-signed (1.34.3) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-9ubuntu1.2 (LP: #1334793)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 18 May 2015 03:07:25 -0600

grub2-signed (1.34.2) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-9ubuntu1.1 (LP: #1435663)

 -- dann frazier <dannf@ubuntu.com>  Mon, 20 Apr 2015 15:40:37 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-9ubuntu1)
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-9ubuntu1.6)
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.34.20

=== debian/changelog ===
grub2-signed (1.34.20) trusty; urgency=medium

  * Run grub-check-signatures before running grub-install, to block upgrade if
    no signed kernels are installed. (LP: #1789918)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 01 Apr 2019 12:03:07 -0400

grub2-signed (1.34.19) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-9ubuntu1.17
    (LP: #1401532) (LP: #1789918)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 22 Mar 2019 15:15:50 -0400

grub2-signed (1.34.18) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-9ubuntu1.16
    (LP: #1785033) (LP: #1642298) (LP: #1696599) (LP: #1792575)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 09 Jan 2019 09:11:55 -0500

grub2-signed (1.34.17) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-9ubuntu1.14 (LP: #1708245)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 04 Jul 2018 15:41:41 -0400

grub2-signed (1.34.16) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-9ubuntu1.14 (LP: #1637290)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 14 Jul 2017 15:33:38 -0400

grub2-signed (1.34.14) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-9ubuntu1.12 (LP: #1456911)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 02 Aug 2016 00:57:04 -0600

grub2-signed (1.34.13) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-9ubuntu1.11 (LP: #1591818)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 04 Jul 2016 13:15:40 +0200

grub2-signed (1.34.9) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-9ubuntu1.8 (LP: #1549064)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 25 Feb 2016 15:10:23 -0500

grub2-signed (1.34.8) trusty; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-9ubuntu1.7 (LP: #1521612,
    LP: #1274320).

 -- dann frazier <dannf@ubuntu.com>  Wed, 16 Dec 2015 14:23:00 -0700

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-9ubuntu1.6)
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-9ubuntu1.17)
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed
-Architecture: linux-amd64
+Architecture: amd64
 Depends: ${misc:Depends}, grub-efi-amd64 (= ${grub2:Version})
 Recommends: secureboot-db
 Built-Using: grub2 (= ${grub2:Version})

## grub2-signed 1.38

=== debian/changelog ===
grub2-signed (1.38) utopic; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-15.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Oct 2014 11:32:44 +0100

grub2-signed (1.37) utopic; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-14.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Sep 2014 23:31:43 +0100

grub2-signed (1.36) utopic; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-11.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jul 2014 17:22:57 +0100

grub2-signed (1.35) utopic; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-10.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 May 2014 13:30:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-9ubuntu1.17)
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-15)
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed
-Architecture: amd64
+Architecture: linux-amd64
 Depends: ${misc:Depends}, grub-efi-amd64 (= ${grub2:Version})
 Recommends: secureboot-db
 Built-Using: grub2 (= ${grub2:Version})

## grub2-signed 1.38.1

=== debian/changelog ===
grub2-signed (1.38.1) utopic; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-15ubuntu0.1 (LP:
    #1443735).

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 03 Jul 2015 10:19:32 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-15)
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-15ubuntu0.1)
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.46

=== debian/changelog ===
grub2-signed (1.46) vivid; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-22ubuntu1.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 06 Apr 2015 16:15:21 -0600

grub2-signed (1.45) vivid; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-22.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 30 Mar 2015 13:21:14 -0600

grub2-signed (1.44) vivid; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-21.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Jan 2015 10:31:51 -0800

grub2-signed (1.43) vivid; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-20.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 04 Jan 2015 14:58:44 +0000

grub2-signed (1.42) vivid; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-19.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Dec 2014 12:15:02 +0000

grub2-signed (1.41) vivid; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-18.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Dec 2014 15:53:28 +0000

grub2-signed (1.40) vivid; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-17.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Dec 2014 12:15:56 +0000

grub2-signed (1.39) vivid; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-16.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Nov 2014 01:24:38 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-15ubuntu0.1)
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-22ubuntu1)
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed
-Architecture: linux-amd64
+Architecture: amd64
 Depends: ${misc:Depends}, grub-efi-amd64 (= ${grub2:Version})
 Recommends: secureboot-db
 Built-Using: grub2 (= ${grub2:Version})

## grub2-signed 1.46.4

=== debian/changelog ===
grub2-signed (1.46.4) vivid-security; urgency=medium

  * Rebuild against grub2 2.02~beta2-22ubuntu1.4 security update.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Dec 2015 15:12:09 -0500

grub2-signed (1.46.2) vivid; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-22ubuntu1.2 (LP:
    #1468111).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Oct 2015 15:56:47 +0200

grub2-signed (1.46.1) vivid; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-22ubuntu1.1 (LP:
    #1443735).

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 03 Jul 2015 10:19:37 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-22ubuntu1)
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-22ubuntu1.4)
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.46.5

=== debian/changelog ===
grub2-signed (1.46.5) vivid; urgency=medium

  * Rebuild against grub2 2.02~beta2-22ubuntu1.5 (LP: #1476882, LP: #1459872,
    LP: 1459871, LP: #1517586, LP:#1508893, LP: #1521612, LP: #1274320).

 -- dann frazier <dannf@ubuntu.com>  Wed, 16 Dec 2015 14:18:28 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-22ubuntu1.4)
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-22ubuntu1.5)
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.55

=== debian/changelog ===
grub2-signed (1.55) wily; urgency=medium

  * Rebuild against grub2 2.02~beta2-29.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 14 Oct 2015 09:34:54 -0400

grub2-signed (1.54) wily; urgency=medium

  * Rebuild against grub2 2.02~beta2-28.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 06 Sep 2015 14:56:38 +0100

grub2-signed (1.53) wily; urgency=medium

  [ dann frazier ]
  * Add arm64 support. (LP: #1457178)

  [ Adam Conrad ]
  * Rebuild against grub-efi 2.02~beta2-26ubuntu5.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 22 Jul 2015 16:39:47 -0600

grub2-signed (1.52) wily; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-26ubuntu3.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 06 Jul 2015 18:24:53 -0400

grub2-signed (1.51) wily; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-26ubuntu2.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 25 Jun 2015 22:10:30 -0400

grub2-signed (1.50) wily; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-26ubuntu1.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 23 Jun 2015 17:33:57 -0400

grub2-signed (1.49) wily; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-25ubuntu1.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 14 Jun 2015 00:03:54 -0600

grub2-signed (1.48) wily; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-25.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 13 Jun 2015 21:01:34 -0600

grub2-signed (1.47) wily; urgency=medium

  * Rebuild against grub-efi-amd64 2.02~beta2-23.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 22 May 2015 09:17:01 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-22ubuntu1.5)
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-29) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-29) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed
@@ -22,3 +22,21 @@
  .
  This package contains a version of GRUB built for use with the EFI-AMD64
  architecture, signed with Canonical's UEFI signing key.
+
+Package: grub-efi-arm64-signed
+Architecture: arm64
+Depends: ${misc:Depends}, grub-efi-arm64 (= ${grub2:Version})
+Recommends: secureboot-db
+Built-Using: grub2 (= ${grub2:Version})
+Description: GRand Unified Bootloader, version 2 (EFI-ARM64 version, signed)
+ GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
+ cleaner design than its predecessors, and provides the following new features:
+ .
+  - Scripting in grub.cfg using BASH-like syntax.
+  - Support for modern partition maps such as GPT.
+  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
+    add-ons can plug in their own script rules and trigger updates by invoking
+    update-grub.
+ .
+ This package contains a version of GRUB built for use with the EFI-ARM64
+ architecture, signed with Canonical's UEFI signing key.

## grub2-signed 1.55.2

=== debian/changelog ===
grub2-signed (1.55.2) wily-security; urgency=medium

  * Rebuild against grub2 2.02~beta2-29ubuntu0.2 security update.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Dec 2015 15:10:39 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-29) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-29) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-29ubuntu0.2) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-29ubuntu0.2) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.55.3

=== debian/changelog ===
grub2-signed (1.55.3) wily; urgency=medium

  * Rebuild against grub2 2.02~beta2-29ubuntu0.3. (LP: #1521612, #1517586)

 -- dann frazier <dannf@ubuntu.com>  Wed, 16 Dec 2015 14:16:14 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-29ubuntu0.2) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-29ubuntu0.2) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-29ubuntu0.3) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-29ubuntu0.3) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.66

=== debian/changelog ===
grub2-signed (1.66) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3. (LP: #1559933)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 15 Apr 2016 17:28:49 -0400

grub2-signed (1.65) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu2.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 20 Mar 2016 11:44:17 -0600

grub2-signed (1.64) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu1.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 15 Mar 2016 18:02:23 -0400

grub2-signed (1.63) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 06 Feb 2016 17:05:35 +0000

grub2-signed (1.62) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-35ubuntu1.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Feb 2016 13:51:38 +0100

grub2-signed (1.61) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-35.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 23 Jan 2016 02:23:36 +0000

grub2-signed (1.60) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-33.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Dec 2015 14:35:53 +0000

grub2-signed (1.59) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-32ubuntu1.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 03 Dec 2015 17:21:57 -0500

grub2-signed (1.58) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-32.

 -- dann frazier <dannf@ubuntu.com>  Wed, 25 Nov 2015 12:49:51 -0700

grub2-signed (1.57) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-31ubuntu1.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 18 Nov 2015 20:44:58 -0500

grub2-signed (1.56) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-31.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 12 Nov 2015 16:46:32 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-29ubuntu0.3) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-29ubuntu0.3) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-36ubuntu3) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-36ubuntu3) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.66.23

=== debian/changelog ===
grub2-signed (1.66.23) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.23. (LP: #1840686)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 05 Nov 2019 00:43:00 +0000

grub2-signed (1.66.22) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.22. (LP: #1826453)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 30 Apr 2019 11:16:33 -0400

grub2-signed (1.66.21) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.21. (LP: #1820898)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 21 Mar 2019 09:54:26 -0400

grub2-signed (1.66.20) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.20. (LP: #1792575)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 02 Nov 2018 13:27:18 -0400

grub2-signed (1.66.19) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.19. (LP: #1785033))

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Sep 2018 14:02:19 +0300

grub2-signed (1.66.18) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.18. (LP: #1437353)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 20 Mar 2018 10:27:27 -0400

grub2-signed (1.66.17) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.17. (LP: #1527727)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 25 Jan 2018 10:05:01 -0500

grub2-signed (1.66.16) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.16. (LP: #722950, #1708245)

 -- dann frazier <dann.frazier@canonical.com>  Thu, 11 Jan 2018 10:04:44 -0700

grub2-signed (1.66.15) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.15. (LP: #1731241, #1734278)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 11 Dec 2017 12:55:23 -0500

grub2-signed (1.66.14) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.14. (LP: #1642298)

 -- dann frazier <dann.frazier@canonical.com>  Mon, 25 Sep 2017 09:36:55 -0600

grub2-signed (1.66.13) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.13. (LP: #1716424)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Sun, 10 Sep 2017 21:52:19 -0400

grub2-signed (1.66.12) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.12. (LP: #1696599)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 14 Jun 2017 14:39:30 -0400

grub2-signed (1.66.11) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.11.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 20 May 2017 13:04:28 -0700

grub2-signed (1.66.10) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.10. (LP: #1684341)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 12 May 2017 09:58:50 -0400

grub2-signed (1.66.9) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.8. (LP: #1637290)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 23 Mar 2017 16:22:31 -0400

grub2-signed (1.66.8) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.8. (LP: #1640878)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 01 Mar 2017 14:17:18 -0500

grub2-signed (1.66.7) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.7. (LP: #1447500)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 11 Jan 2017 21:37:11 -0500

grub2-signed (1.66.6) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.6. (LP: #1229458, #1519836)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 19 Dec 2016 21:12:45 -0500

grub2-signed (1.66.2) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.2. (LP: #1604499)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Jul 2016 15:33:06 -0700

grub2-signed (1.66.1) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.1. (LP: #1574727)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 12 May 2016 09:46:16 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-36ubuntu3) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-36ubuntu3) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-36ubuntu3.23) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-36ubuntu3.23) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.66.27

=== Makefile ===
include /usr/share/dpkg/default.mk

PLATFORM := UNKNOWN-PLATFORM
EFI_NAME := UNKNOWN-EFI-NAME

ifeq ($(DEB_HOST_ARCH),amd64)
PLATFORM := x86_64-efi
EFI_NAME := x64
endif

ifeq ($(DEB_HOST_ARCH),arm64)
PLATFORM := arm64-efi
EFI_NAME := aa64
endif

SIGNED := \
	current/grub$(EFI_NAME).efi.signed \
	current/gcd$(EFI_NAME).efi.signed \
	current/grubnet$(EFI_NAME).efi.signed

all: $(SIGNED)

$(SIGNED):
	./download-signed grub2-common current grub2 uefi

install: $(SIGNED)
	install -d $(DESTDIR)/usr/lib/grub/$(PLATFORM)-signed
	install -m0644 $(SIGNED) current/version \
		$(DESTDIR)/usr/lib/grub/$(PLATFORM)-signed/

clean:
	rm -rf current/

=== debian/changelog ===
grub2-signed (1.66.27) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.27.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jul 2020 21:40:52 -0700

grub2-signed (1.66.26) xenial; urgency=medium

  * Support downloads from PPAs for additional signatures. LP: #1876875
  * Rebuild against grub2 2.02~beta2-36ubuntu3.26.
  * Add breaks on pre-recert xenial FIPS kernel.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 21 Jul 2020 14:26:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-36ubuntu3.23) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-36ubuntu3.23) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-36ubuntu3.27) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-36ubuntu3.27) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed
 Architecture: amd64
 Depends: ${misc:Depends}, grub-efi-amd64 (= ${grub2:Version})
 Recommends: secureboot-db
+# pre-recert version of the fips kernel
+Breaks: linux-image-fips (<= 4.4.0.1002.3)
 Built-Using: grub2 (= ${grub2:Version})
 Description: GRand Unified Bootloader, version 2 (EFI-AMD64 version, signed)
  GRUB is a portable, powerful bootloader.  This version of GRUB is based on a

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

destdir := debian/grub-efi-$(DEB_HOST_ARCH)-signed
docdir  := $(destdir)/usr/share/doc/grub-efi-$(DEB_HOST_ARCH)-signed

override_dh_installchangelogs:
	dh_installchangelogs
	# Quieten lintian, which otherwise gets confused by our odd version
	# number.
	ln $(docdir)/changelog $(docdir)/changelog.Debian

override_dh_gencontrol:
	dh_gencontrol -- -v$(DEB_VERSION)+$(shell cat current/version) \
		-Vgrub2:Version=$(shell cat current/version)

override_dh_auto_install:
	dh_auto_install --destdir=$(destdir)

## grub2-signed 1.74

=== debian/changelog ===
grub2-signed (1.74) yakkety; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu11.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 06 Sep 2016 19:54:43 -0400

grub2-signed (1.73) yakkety; urgency=low

  * Rebuild against grub2 2.02~beta2-36ubuntu10.

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 28 Jul 2016 16:50:53 +0100

grub2-signed (1.72) yakkety; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu9.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Jul 2016 15:14:35 -0700

grub2-signed (1.71) yakkety; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu8.

 -- Andy Whitcroft <apw@ubuntu.com>  Sun, 22 May 2016 17:37:07 +0100

grub2-signed (1.70) yakkety; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu7.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 18 May 2016 16:31:50 -0400

grub2-signed (1.69) yakkety; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu6.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 16 May 2016 14:24:34 -0400

grub2-signed (1.68) yakkety; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu5.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 10 May 2016 13:33:04 -0400

grub2-signed (1.67) yakkety; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu4.

 -- Tyler Hicks <tyhicks@canonical.com>  Mon, 25 Apr 2016 15:57:23 -0500

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-36ubuntu3.27) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-36ubuntu3.27) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-36ubuntu11) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-36ubuntu11) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed
 Architecture: amd64
 Depends: ${misc:Depends}, grub-efi-amd64 (= ${grub2:Version})
 Recommends: secureboot-db
-# pre-recert version of the fips kernel
-Breaks: linux-image-fips (<= 4.4.0.1002.3)
 Built-Using: grub2 (= ${grub2:Version})
 Description: GRand Unified Bootloader, version 2 (EFI-AMD64 version, signed)
  GRUB is a portable, powerful bootloader.  This version of GRUB is based on a

## grub2-signed 1.74.3

=== debian/changelog ===
grub2-signed (1.74.3) yakkety; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu11.3. (LP: #1684341)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 12 May 2017 10:07:31 -0400

grub2-signed (1.74.2) yakkety; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu11.1. (LP: #1637290)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 23 Mar 2017 15:13:53 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-36ubuntu11) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-36ubuntu11) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-36ubuntu11.3) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-36ubuntu11.3) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.74.4

=== debian/changelog ===
grub2-signed (1.74.4) yakkety; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu11.4. (LP: #1696599)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 14 Jun 2017 14:41:48 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-36ubuntu11.3) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-36ubuntu11.3) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta2-36ubuntu11.4) [amd64], grub-efi-arm64-bin (>= 2.02~beta2-36ubuntu11.4) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed
